Skip to content
Start here

Get screenshot

url_scanner.scans.screenshot(strscan_id, ScanScreenshotParams**kwargs) -> BinaryResponseContent
GET/accounts/{account_id}/urlscanner/v2/screenshots/{scan_id}.png

Get scan's screenshot by resolution (desktop/mobile/tablet).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
URL Scanner WriteURL Scanner Read
ParametersExpand Collapse
account_id: str

Account ID.

scan_id: str

Scan UUID.

formatuuid
resolution: Optional[Literal["desktop", "mobile", "tablet"]]

Target device type.

One of the following:
"desktop"
"mobile"
"tablet"
ReturnsExpand Collapse
BinaryResponseContent

Get screenshot

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.url_scanner.scans.screenshot(
    scan_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="account_id",
)
print(response)
content = response.read()
print(content)
Returns Examples